> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/api-reference-en/sms-api/webhook/sms-status-report.md).

# SMS Status Report

### Status report parameters <a href="#title_4" id="title_4"></a>

<table data-header-hidden><thead><tr><th width="157.73828125"></th><th width="133.53125"></th><th width="135.31640625"></th><th></th></tr></thead><tbody><tr><td><strong>Parameter name</strong></td><td><strong>Type</strong></td><td><strong>Required to push</strong></td><td><strong>Description</strong></td></tr><tr><td>receiver</td><td>string</td><td>yes</td><td>Username for receiving authentication; if not filled during configuration it will be empty. Contact engineering if you need to configure it</td></tr><tr><td>pswd</td><td>string</td><td>yes</td><td>Password for receiving authentication; if not filled during configuration it will be empty. Contact engineering if you need to configure it</td></tr><tr><td>msgid</td><td>string</td><td>yes</td><td>msgid returned by the API when submitting the SMS</td></tr><tr><td>batchSeq</td><td>string</td><td>yes</td><td>Batch number</td></tr><tr><td>uid</td><td>string</td><td>yes</td><td>The uid the client provided to us when submitting the SMS; if not provided, it will be our batchSeq</td></tr><tr><td>reportTime</td><td>string</td><td>yes</td><td>Status report time returned by the gateway platform, in timestamp format</td></tr><tr><td>notifyTime</td><td>string</td><td>yes</td><td>The time we push the status report. Timestamp format</td></tr><tr><td>requestTime</td><td>string</td><td>yes</td><td>Time the SMS was submitted, mainland China 24-hour format. Time the SMS was submitted, timestamp format.</td></tr><tr><td>mobile</td><td>string</td><td>yes</td><td>Mobile number receiving the SMS — the number in the pushed report. The pushed format is the original phone number used when submitting the SMS; for example, if the submitted number included a leading 00 country code, the receipt push will also include 00.</td></tr><tr><td>status</td><td>string</td><td>yes</td><td>SMS delivery status. "DELIVRD" means delivered successfully; all others are failures. See status report codes for specific meanings</td></tr><tr><td>currency</td><td>string</td><td>yes</td><td>Currency</td></tr><tr><td>smsNum</td><td>string</td><td>yes</td><td>Chargeable message count</td></tr><tr><td>unitPrice</td><td>string</td><td>yes</td><td>Unit price, price per single message.</td></tr><tr><td>fee</td><td>string</td><td>yes</td><td>Fee (RMB). The fee consumed by messages for this number = smsNum * sellingPrice</td></tr><tr><td>accessNumber</td><td>string</td><td>yes</td><td>Access number</td></tr><tr><td>countryNumber</td><td>string</td><td>yes</td><td>Country code of the mobile number</td></tr><tr><td>regionCode</td><td>string</td><td>yes</td><td>Region code of the mobile number</td></tr><tr><td>mnoName</td><td>string</td><td>yes</td><td>Name of the mobile network operator for the mobile number</td></tr><tr><td>mcc</td><td>string</td><td>yes</td><td>MCC of the mobile network operator for the mobile number</td></tr><tr><td>mnc</td><td>string</td><td>yes</td><td>MCC of the mobile network operator for the mobile number</td></tr></tbody></table>

### **Example response message**

```json
{
    "batchSeq": "I8393346_2506101652_35",
    "unitPrice": "0.05670",
    "countryNumber": "0086",
    "mnc": "2",
    "receiver": "account",
    "pswd": "password",
    "mnoName": "China Mobile",
    "notifyTime": "1749545540975",
    "fee": "0.0567",
    "mobile": "8618888888888",
    "msgid": "627239445736452096",
    "mcc": "460",
    "requestTime": "1749545538198",
    "uid": "I8393346_2506101652_35",
    "regionCode": "CN",
    "accessNumber": "508tongdao",
    "currency": "CNY",
    "status": "DELIVRD",
    "reportTime": "1749545540967",
    "smsNum": "1"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.innopaas.com/api-reference/api-reference-en/sms-api/webhook/sms-status-report.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
